const watermark = (str, obj = {}) => {
  let options = {
    node: 'body',
    width: 200,
    height: 150,
    fontSize: '14px FZLanTingHeiS-B-GB',
    fillStyle: 'rgba(0, 0, 0, 0.2)'
  };
  options = { ...options, ...obj };
  const fatherNode = options.node ? document.querySelector(options.node) : document.body;
  const id = 'watermark_abcd.123';
  if (document.getElementById(id) !== null) {
    fatherNode.removeChild(document.getElementById(id));
  }

  // 创建一个画布
  const can = document.createElement('canvas');
  // 设置画布的长宽
  can.width = options.width;
  can.height = options.height;

  const cans = can.getContext('2d');
  // 旋转角度
  cans.rotate((-20 * Math.PI) / 180);
  cans.font = options.fontSize;
  // 设置填充绘画的颜色、渐变或者模式
  cans.fillStyle = options.fillStyle;
  // 设置文本内容的当前对齐方式
  cans.textAlign = 'left';
  // 设置在绘制文本时使用的当前文本基线
  cans.textBaseline = 'Middle';
  // 在画布上绘制填色的文本（输出的文本，开始绘制文本的X坐标位置，开始绘制文本的Y坐标位置）
  cans.fillText(str, can.width / 10, can.height / 2);

  const div = document.createElement('div');
  div.id = id;
  div.style.pointerEvents = 'none';
  div.style.top = '0';
  div.style.left = '0';
  div.style.position = 'fixed';
  div.style.zIndex = '100000';
  div.style.width = '100vw';
  div.style.height = '100vh';
  div.style.background = 'url(' + can.toDataURL('image/png') + ') 0 0 repeat';
  fatherNode.appendChild(div);
  return id;
};

export default watermark;
